Subject: Re: send-receive

From: [email-masked] (Tom Henderson)
Date: Tue, 15 Jun 93 15:51:31 MDT

> I agree with this scheme, except that I think that non-blocking versions
> would make sense, too. As an example take some grid-based computation,
> the grid being split up among the parallel processes. At regular
> intervals you have to update grid values in some overlap areas, and
> therefore you have to exchange messages with all your neighbors.
> Using the non-blocking version of the sendrecv all these operations
> can be started at the same time, thus minimizing waiting times due
> to bad process synchronization.
> 
> Rolf Hempel

I agree.  We have applications that will benefit from non-blocking versions 
of send-recv.  

Tom Henderson